Name:               pdc-updater
Version:            0.6.5
Release:            1%{?dist}
Summary:            Update the product definition center in response to fedmsg

License:            LGPLv2+
URL:                https://pypi.io/project/pdc-updater
Source0:            https://pypi.io/packages/source/p/%{name}/%{name}-%{version}.tar.gz
BuildArch:          noarch

BuildRequires:      python2-devel
BuildRequires:      python2-setuptools

BuildRequires:      fedmsg
BuildRequires:      python2-fedmsg-commands
BuildRequires:      python2-fedmsg-consumers
BuildRequires:      python2-fedora
BuildRequires:      python2-modulemd
BuildRequires:      packagedb-cli
BuildRequires:      python2-pdc-client
BuildRequires:      python2-koji

# For the tests
BuildRequires:      python2-nose
BuildRequires:      python2-mock
BuildRequires:      pytest

Requires:           fedmsg
Requires:           python2-fedmsg-commands
Requires:           python2-fedmsg-consumers
Requires:           python2-fedora
Requires:           python2-modulemd
Requires:           packagedb-cli
Requires:           python2-pdc-client
Requires:           python2-koji

# For runtime
Requires:           fedmsg-hub

# One of our only non-python2-ized deps.
BuildRequires:      python-vcrpy

%if 0%{?rhel} && 0%{?rhel} <= 7
BuildRequires:      python-dogpile-cache
Requires:           python-dogpile-cache
BuildRequires:      python-requests
Requires:           python-requests
%else
BuildRequires:      python2-dogpile-cache
Requires:           python2-dogpile-cache
BuildRequires:      python2-requests
Requires:           python2-requests
%endif

%{?python_provide:%python_provide python2-%name}

%description
Fedmsg consumer that listens to activity on the Fedora message bus, and updates
the Product Definition Center database in response.

%prep
%setup -q -n %{name}-%{version}

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root=%{buildroot}

# setuptools installs these, but we don't want them.
rm -rf %{buildroot}%{python2_sitelib}/tests/

%check
# The kerberos test is screwy in koji.
rm -f pdcupdater/tests/handler_tests/test_kerberos_auth.py*
# The tests require network, but we mock that with vcr
PYTHONPATH=. nosetests -v

%files
%doc README.rst
%license LICENSE
%{python2_sitelib}/pdcupdater/
%{python2_sitelib}/pdc_updater-%{version}*
%{_bindir}/pdc-updater-retry
%{_bindir}/pdc-updater-audit
%{_bindir}/pdc-updater-initialize

%changelog
* Thu Oct 19 2017 Ralph Bean <rbean@redhat.com> - 0.6.5-1
- new version

* Thu Oct 12 2017 Ralph Bean <rbean@redhat.com> - 0.6.3-1
- new version

* Fri Sep 22 2017 Ralph Bean <rbean@redhat.com> - 0.6.2-1
- new version

* Sat Aug 26 2017 Ralph Bean <rbean@redhat.com> - 0.6.1-1
- new version

* Thu Aug 10 2017 Ralph Bean <rbean@redhat.com> - 0.6.0-1
- new version

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed Apr 26 2017 Ralph Bean <rbean@redhat.com> - 0.5.9-1
- new version

* Tue Apr 25 2017 Ralph Bean <rbean@redhat.com> - 0.5.8-1
- new version

* Tue Apr 25 2017 Ralph Bean <rbean@redhat.com> - 0.5.7-1
- new version

* Mon Apr 24 2017 Ralph Bean <rbean@redhat.com> - 0.5.6-1
- new version

* Wed Apr 05 2017 Ralph Bean <rbean@redhat.com> - 0.5.5-1
- new version

* Thu Mar 16 2017 Ralph Bean <rbean@redhat.com> - 0.5.4-1
- new version

* Fri Feb 10 2017 Ralph Bean <rbean@redhat.com> - 0.5.2-1
- new version

* Thu Feb 09 2017 Ralph Bean <rbean@redhat.com> - 0.5.1-1
- new version

* Tue Jan 24 2017 Ralph Bean <rbean@redhat.com> - 0.4.10-1
- new version

* Mon Jan 16 2017 Ralph Bean <rbean@redhat.com> - 0.4.8-1
- new version

* Fri Jan 06 2017 Ralph Bean <rbean@redhat.com> - 0.4.6-1
- new version

* Fri Jan 06 2017 Ralph Bean <rbean@redhat.com> - 0.4.5-1
- new version

* Fri Jan 06 2017 Ralph Bean <rbean@redhat.com> - 0.4.4-1
- new version

* Thu Jan 05 2017 Ralph Bean <rbean@redhat.com> - 0.4.3-1
- new version

* Thu Jan 05 2017 Ralph Bean <rbean@redhat.com> - 0.4.2-1
- new version

* Fri Dec 16 2016 Ralph Bean <rbean@redhat.com> - 0.4.1-1
- new version

* Thu Dec 01 2016 Ralph Bean <rbean@redhat.com> - 0.4.0-1
- new version
- Re-enable tests.
- Remove unnecessary macros and fields as per review.

* Tue Sep 27 2016 Ralph Bean <rbean@redhat.com> - 0.3.1-1
- new version

* Tue Sep 27 2016 Ralph Bean <rbean@redhat.com> - 0.3.0-1
- new version

* Thu Feb 25 2016 Ralph Bean <rbean@redhat.com> - 0.2.4-1
- new version

* Thu Jan 28 2016 Ralph Bean <rbean@redhat.com> - 0.2.3-1
- new version

* Wed Jan 27 2016 Ralph Bean <rbean@redhat.com> - 0.2.2-1
- new version

* Tue Jan 26 2016 Ralph Bean <rbean@redhat.com> - 0.2.1-1
- new version

* Tue Jan 26 2016 Ralph Bean <rbean@redhat.com> - 0.2.0-1
- new version

* Tue Jan 19 2016 Ralph Bean <rbean@redhat.com> - 0.1.1-1
- Bugfix release.

* Tue Jan 12 2016 Ralph Bean <rbean@redhat.com> - 0.1.0-1
- Getting ready for staging deployment.

* Wed Nov 18 2015 Ralph Bean <rbean@redhat.com> - 0.0.1-1
- The dawn of time.
